diff -crN ./libzvt/configure.in /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/configure.in
*** ./libzvt/configure.in	Mon Jun 24 17:15:23 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/configure.in	Thu Jun 19 19:14:44 2003
***************
*** 105,110 ****
--- 105,122 ----
      AC_DEFINE(HAVE_LIBUTIL)
      UTIL_LIBS="-lutil"
      AC_SUBST(UTIL_LIBS)
+     ],
+     [
+     AC_MSG_CHECKING([for master pty device name])
+     if test -r /dev/ptmx ; then
+        AC_MSG_RESULT([/dev/ptmx])
+        AC_DEFINE(HAVE_DEV_PTMX, , "use /dev/ptmx to open master pty")
+     elif test -r /dev/ptc ; then
+        AC_MSG_RESULT([/dev/ptc])
+        AC_DEFINE(HAVE_DEV_PTC, , "use /dev/ptc to open master pty")
+     else
+        AC_MSG_ERROR("Don't know how to open master pty")
+     fi 
      ])
  
  AC_CHECK_FUNCS(grantpt utmpxname utmpname getutmpx getutent getttyent)
diff -crN ./libzvt/libzvt/gnome-login-support.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/libzvt/gnome-login-support.c
*** ./libzvt/libzvt/gnome-login-support.c	Wed Mar 29 00:20:46 2000
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/libzvt/gnome-login-support.c	Thu Jun 19 19:34:08 2003
***************
*** 187,193 ****
--- 187,199 ----
  	int pty_master;
  	char *slave_name;
  	
+ #if defined(HAVE_DEV_PTMX)
  	strcpy (pty_name, "/dev/ptmx");
+ #elif defined(HAVE_DEV_PTC)
+ 	strcpy (pty_name, "/dev/ptc");
+ #else
+ #error don't know how to open master pty
+ #endif
  
  	pty_master = open (pty_name, O_RDWR);
  
diff -crN ./libzvt/libzvt/gnome-utmp.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/libzvt/gnome-utmp.c
*** ./libzvt/libzvt/gnome-utmp.c	Sat Sep  1 20:25:39 2001
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/libzvt/gnome-utmp.c	Thu Jun 19 19:37:27 2003
***************
*** 33,39 ****
  #  endif
  #endif
  
! #include <utmp.h>
  
  #if defined(HAVE_LASTLOG_H)
  #    include <lastlog.h>
--- 33,45 ----
  #  endif
  #endif
  
! #if defined(HAVE_UTMP_H)
! #    include <utmp.h>
! #endif
! 
! #if defined(HAVE_UTMPX_H)
! #    include <utmpx.h>
! #endif
  
  #if defined(HAVE_LASTLOG_H)
  #    include <lastlog.h>
***************
*** 43,52 ****
  #    include <paths.h>
  #endif
  
- #if defined(HAVE_UTMPX_H)
- #    include <utmpx.h>
- #endif
- 
  #if defined(HAVE_TTYENT_H)
  #    include <ttyent.h>
  #endif
--- 49,54 ----
diff -crN ./libzvt/libzvt/libzvt.h /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/libzvt/libzvt.h
*** ./libzvt/libzvt/libzvt.h	Wed Dec  4 21:27:55 2002
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/libzvt/libzvt.h	Fri Jun 20 11:27:12 2003
***************
*** 210,216 ****
  typedef enum {
    ZVT_FONT_1BYTE=0,		/* simple, 1-byte fonts */
    ZVT_FONT_2BYTE,		/* 2-byte fonts */
!   ZVT_FONT_FONTSET,		/* fontset fonts */
  } zvtfont_t;
  
  /* private data structure, stored under "_zvtprivate" */
--- 210,216 ----
  typedef enum {
    ZVT_FONT_1BYTE=0,		/* simple, 1-byte fonts */
    ZVT_FONT_2BYTE,		/* 2-byte fonts */
!   ZVT_FONT_FONTSET		/* fontset fonts */
  } zvtfont_t;
  
  /* private data structure, stored under "_zvtprivate" */
diff -crN ./libzvt/libzvt/subshell-includes.h /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/libzvt/subshell-includes.h
*** ./libzvt/libzvt/subshell-includes.h	Sun Jun 20 05:51:00 1999
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/libzvt/subshell-includes.h	Thu Jun 19 19:38:27 2003
***************
*** 3,9 ****
  
  #include <stdio.h>      
  #include <fcntl.h>	/* for close-on-exec stuff	      */
! #define _XOPEN_SOURCE 1
  #define __EXTENSIONS__ 1	/* needed for winsize struct
  				   on Solaris (?) */
  
--- 3,14 ----
  
  #include <stdio.h>      
  #include <fcntl.h>	/* for close-on-exec stuff	      */
! 
! /* ?? : BV : Added control of pre-definition of the macro X_OPEN_SOURCE */
! #ifndef _XOPEN_SOURCE
!   #define _XOPEN_SOURCE 1
! #endif
! 
  #define __EXTENSIONS__ 1	/* needed for winsize struct
  				   on Solaris (?) */
  
diff -crN ./libzvt/libzvt/update.c /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/libzvt/update.c
*** ./libzvt/libzvt/update.c	Fri Feb 14 17:57:42 2003
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/libzvt/update.c	Fri Jun 20 11:27:27 2003
***************
*** 57,63 ****
  #include <sys/types.h>
  #include <sys/stat.h>
  
! #include <glib.h>
  
  #include <libzvt/libzvt.h>
  #include <libzvt/lists.h>
--- 57,63 ----
  #include <sys/types.h>
  #include <sys/stat.h>
  
! #include <gtk/gtk.h>
  
  #include <libzvt/libzvt.h>
  #include <libzvt/lists.h>
diff -crN ./libzvt/libzvt/vtx.h /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/libzvt/vtx.h
*** ./libzvt/libzvt/vtx.h	Thu Dec  6 23:58:55 2001
--- /gestconf/project/GNOME_ACL/GNOME/build/sh_build_GNOME/src/./libzvt/libzvt/vtx.h	Thu Jun 19 19:38:53 2003
***************
*** 27,32 ****
--- 27,39 ----
  /* DO NOT include the toolkit */
  /*#include <gtk/gtk.h> */
  
+ /* ?? : BV : Added definition of _XOPEN_SOURCE in case it wasn't already
+    defined before the inclusion of <regex.h> : It's needed on AIX to
+    have the declaration of the regex_t structure */
+ #ifndef _XOPEN_SOURCE
+ #  define _XOPEN_SOURCE 1
+ #endif
+ 
  #include <regex.h>
  
  #ifdef __cplusplus
